<?xml version="1.0" encoding="utf-8"?>
<LinearLayout android:orientation="vertical" android:background="@color/common_white_background" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android">
    <LinearLayout android:orientation="vertical" android:layout_width="fill_parent" android:layout_height="fill_parent">
        <LinearLayout android:gravity="center" android:orientation="horizontal" android:id="@id/skin_detail_item_baseinfo" android:background="@color/common_white_background" android:paddingTop="10.0dip" android:layout_width="fill_parent" android:layout_height="wrap_content">
            <LinearLayout android:background="#ffffffff" android:layout_width="fill_parent" android:layout_height="fill_parent">
                <FrameLayout android:layout_gravity="center_vertical" android:layout_width="fill_parent" android:layout_height="fill_parent">
                    <ImageView android:background="@drawable/skin_horizontal_divider" android:layout_width="fill_parent" android:layout_height="wrap_content" />
                    <LinearLayout android:layout_gravity="center_vertical" android:orientation="vertical" android:paddingLeft="8.0dip" android:paddingRight="8.0dip" android:layout_width="wrap_content" android:layout_height="wrap_content">
                        <TextView android:textSize="18.0dip" android:textColor="@color/setting_text" android:ellipsize="end" android:id="@id/skinName" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="13.0dip" android:layout_marginRight="5.0dip" android:text="@string/no_value" android:maxLines="1" android:maxEms="8" android:singleLine="true" />
                        <LinearLayout android:gravity="center_vertical" android:orientation="horizontal" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginTop="3.0dip" android:layout_marginBottom="10.0dip">
                            <RatingBar android:id="@id/skinRating" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="2.0dip" android:numStars="5" style="@style/ratingbar_customed" />
                            <TextView android:textSize="12.0dip" android:textColor="@color/setting_item_title" android:id="@id/skinCommentsNum" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="2.0dip" android:layout_marginTop="0.0dip" />
                        </LinearLayout>
                    </LinearLayout>
                    <TextView android:textSize="18.0dip" android:textColor="@color/setting_text" android:ellipsize="end" android:layout_gravity="center|right|top" android:id="@id/skinAuthorName" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="13.0dip" android:layout_marginRight="13.0dip" android:text="" android:maxLines="1" android:maxEms="6" android:singleLine="true" />
                    <TextView android:textSize="14.0dip" android:textColor="@color/setting_item_title" android:layout_gravity="bottom|center|right" android:id="@id/skinPublishTimeOnly" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginRight="13.0dip" android:layout_marginBottom="10.0dip" android:text="" />
                </FrameLayout>
            </LinearLayout>
        </LinearLayout>
        <ImageView android:background="@drawable/skin_horizontal_divider" android:layout_width="fill_parent" android:layout_height="wrap_content" />
        <LinearLayout android:orientation="vertical" android:id="@id/skin_detail_item_introduction" android:background="#ffffffff" android:paddingBottom="10.0dip" android:layout_width="fill_parent" android:layout_height="wrap_content">
            <HorizontalScrollView android:id="@id/image_hsv" android:background="#ffffffff" android:paddingTop="10.0dip" android:paddingBottom="10.0dip" android:scrollbars="none" android:layout_width="fill_parent" android:layout_height="351.0dip" />
            <LinearLayout android:layout_gravity="center_horizontal" android:orientation="vertical" android:id="@id/LinearLayoutIntroduction" android:background="#ffffffff" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="wrap_content" />
            <ImageView android:background="@drawable/skin_horizontal_divider" android:layout_width="fill_parent" android:layout_height="wrap_content" />
            <LinearLayout android:id="@id/skinBaseInfoPart2Parent" android:background="#ffffffff" android:layout_width="fill_parent" android:layout_height="wrap_content">
                <RelativeLayout android:id="@id/skinBaseInfoPart2" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginBottom="6.0dip">
                    <RelativeLayout android:id="@id/skin_baseinfo_line1" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginLeft="8.0dip" android:layout_marginTop="6.0dip" android:layout_marginRight="13.0dip">
                        <LinearLayout android:id="@id/widget_type_layout" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_alignParentLeft="true" android:layout_centerVertical="true">
                            <ImageView android:id="@id/widget_type1" android:layout_width="wrap_content" android:layout_height="wrap_content" />
                            <ImageView android:id="@id/widget_type2" android:layout_width="wrap_content" android:layout_height="wrap_content" />
                            <ImageView android:id="@id/widget_type3" android:layout_width="wrap_content" android:layout_height="wrap_content" />
                            <ImageView android:id="@id/widget_type4" android:layout_width="wrap_content" android:layout_height="wrap_content" />
                        </LinearLayout>
                        <TextView android:textSize="14.0dip" android:textColor="@color/setting_item_title" android:id="@id/skinSize" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="" android:layout_alignParentRight="true" />
                    </RelativeLayout>
                    <RelativeLayout android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginLeft="8.0dip" android:layout_marginTop="2.0dip" android:layout_marginRight="12.0dip" android:layout_below="@id/skin_baseinfo_line1">
                        <TextView android:textSize="14.0dip" android:textColor="@color/setting_item_title" android:id="@id/skinDownLoadNum" android:visibility="gone" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/skin_downLoad_num_default" android:layout_alignParentLeft="true" />
                    </RelativeLayout>
                </RelativeLayout>
            </LinearLayout>
            <ImageView android:id="@id/skinDetailDivider2" android:background="@drawable/skin_horizontal_divider" android:layout_width="fill_parent" android:layout_height="wrap_content" />
            <LinearLayout android:orientation="vertical" android:background="#ffffffff" android:layout_width="fill_parent" android:layout_height="wrap_content">
                <RelativeLayout android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginLeft="8.0dip" android:layout_marginTop="8.0dip" android:layout_marginRight="13.0dip">
                    <TextView android:textSize="18.0dip" android:textColor="@color/setting_text" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/skin_introduction" android:layout_alignParentLeft="true" android:layout_centerVertical="true" />
                    <TextView android:textSize="13.0dip" android:textColor="#ff43a7da" android:id="@id/skin_install_hint" android:paddingTop="1.0dip" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/install_skin_hint" android:layout_alignParentRight="true" android:layout_centerVertical="true" />
                </RelativeLayout>
                <TextView android:textSize="16.0dip" android:textColor="@color/setting_text" android:ellipsize="none" android:gravity="left" android:paddingLeft="8.0dip" android:paddingTop="8.0dip" android:paddingRight="8.0dip" android:layout_width="fill_parent" android:layout_height="wrap_content" android:text="" android:maxLines="1" android:singleLine="true" />
                <TextView android:textSize="15.0dip" android:textColor="@color/setting_item_title" android:ellipsize="end" android:id="@id/tv_describe" android:paddingLeft="8.0dip" android:paddingRight="8.0dip" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginBottom="8.0dip" android:maxEms="120" />
            </LinearLayout>
        </LinearLayout>
        <ImageView android:id="@id/tv_author_others_divider" android:background="@drawable/skin_horizontal_divider" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="wrap_content" />
        <LinearLayout android:id="@id/skin_author_others_tv" android:background="#ffffffff" android:paddingTop="10.0dip" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="wrap_content">
            <TextView android:textSize="18.0dip" android:textColor="@color/setting_text" android:ellipsize="end" android:id="@id/tv_author_others" android:paddingLeft="8.0dip" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="" android:maxLines="1" android:ems="20" android:singleLine="true" />
        </LinearLayout>
        <RelativeLayout android:id="@id/skin_author_others_layout" android:background="#ffffffff" android:padding="10.0dip" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="wrap_content">
            <com.moji.viewpager.CycleSlipViewPager android:id="@id/skin_author_others_viewpager" android:layout_width="fill_parent" android:layout_height="176.0dip" />
        </RelativeLayout>
        <com.moji.emotion.CityIndexControlView android:id="@id/skin_author_others_index_control" android:background="#ffffffff" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="10.0dip" />
        <LinearLayout android:background="#ffffffff" android:layout_width="fill_parent" android:layout_height="10.0dip" />
        <ImageView android:id="@id/tv_author_others_comment_divider" android:background="@drawable/skin_horizontal_divider" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="wrap_content" />
        <LinearLayout android:id="@id/tv_author_others_comment_ll" android:background="#ffffffff" android:paddingTop="8.0dip" android:paddingBottom="8.0dip" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="wrap_content">
            <TextView android:textSize="18.0dip" android:textColor="@color/setting_text" android:paddingLeft="8.0dip" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/comment" />
        </LinearLayout>
        <ImageView android:background="@drawable/skin_horizontal_divider" android:layout_width="fill_parent" android:layout_height="wrap_content" />
    </LinearLayout>
</LinearLayout>